<template>
  <div>
      This is homepage example.
      <Grid v-bind="gridConfiguration" />
  </div>
</template>

<script lang="ts">
import {Vue, Component} from 'vue-property-decorator'
import {gridConfiguration} from '../../mockup/gridConfiguration'
import {Grid} from '../../components/Grid';

@Component({
  components: {Grid}
})
export default class Homepage extends Vue {
  get gridConfiguration() {
    return {
      columns: gridConfiguration.columns,
      data: gridConfiguration.data,
      viewModes: ['table', 'gallery']
    }
  }
}
</script>
